local lu = require("luaunit")
local ngx = require("ngx")
local crypto = require("ssso_crypto")

require("do_init")

function test_portal_js_url_returns_js()
  -- given
  local jws, _ = crypto.get_jws_and_tslimit({u = "U", p = "P", n = "N", e = "u@h"})
  ngx.reset_resp_body()
  ngx.reset_var()
  ngx.var.cookie_SSSO_TOKEN = jws
  ngx.var.request_method = "GET"
  ngx.var.request_uri = "/ssso/portal.js"
  local expected = "//JS\n"
  -- when
  local resp = require("do_access")
  -- then
  lu.assertEquals(resp, 200)
  lu.assertEquals(ngx.header["Content-Type"], "application/javascript; charset=UTF-8")
  lu.assertEquals(ngx.header["Content-Length"], tostring(#expected))
  lu.assertEquals(ngx.say(), expected)
end

os.exit(lu.LuaUnit.run())
